%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       expresso
Version:    0.9.2
Release:    %mkrel 1
Summary:    A lightweight, fast, test-driven development (TDD) framework for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/expresso
Source0:    http://registry.npmjs.org/expresso/-/expresso-%{version}.tgz
Source1:    expresso.1

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package
rm -rf deps/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/expresso
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/expresso
mkdir -p %{buildroot}{%nodejs_sitelib}/expresso/bin
install -p -D -m0755 bin/expresso \
    %{buildroot}%{nodejs_sitelib}/expresso/bin/expresso
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/expresso/bin/expresso %{buildroot}/%{_bindir}/expresso

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m0644 %{SOURCE1} \
    %{buildroot}%{_mandir}/man1/expresso.1

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
rm -f test/bar.test.js
rm -f test/foo.test.js
bin/expresso --growl
bin/expresso -I lib --cov
bin/expresso --serial test/serial/*.test.js
%endif


%files
%doc History.md Readme.md docs/
%{nodejs_sitelib}/expresso
%{_bindir}/expresso
%{_mandir}/man1/expresso.1*


%changelog
* Sun Nov 15 2015 tv <tv> 0.9.2-1.mga6
+ Revision: 903215
- imported package expresso

